Index: README_PARALLEL.md
===================================================================
--- README_PARALLEL.md	(revision 5f42c27a3ad632d81e1e6ecd2f81d821b0c11373)
+++ README_PARALLEL.md	(revision ec7fc72438c14086c97319dbcbf75d1e0463ed5f)
@@ -168,12 +168,14 @@
     * NetCDF output
     * Namelist input/output
-
- -Implemented but untested:
     * Domain-filling trajectory calculations
     * Nested wind fields
 
+ -Implemented but untested:
+
+    * Backward runs (but not initial_cond_output.f90)
+
  -The following will most probably not work (untested/under developement): 
 
-    * Backward runs
+    * Calculation/output of fluxes 
 
  -This will positively NOT work yet
Index: src/mpi_mod.f90
===================================================================
--- src/mpi_mod.f90	(revision 1c3c778753e98ff51a55ffe7f8586318c7768f64)
+++ src/mpi_mod.f90	(revision ec7fc72438c14086c97319dbcbf75d1e0463ed5f)
@@ -120,5 +120,5 @@
   logical, parameter :: mp_dbg_out = .false.
   logical, parameter :: mp_time_barrier=.true.
-  logical, parameter :: mp_measure_time=.true.
+  logical, parameter :: mp_measure_time=.false.
   logical, parameter :: mp_exact_numpart=.true.
 
Index: src/readspecies.f90
===================================================================
--- src/readspecies.f90	(revision 9484483e8f7f35f239f4921836bb8c97e05ae1b9)
+++ src/readspecies.f90	(revision ec7fc72438c14086c97319dbcbf75d1e0463ed5f)
@@ -151,5 +151,5 @@
 !  write(*,*) density(pos_spec)
     read(unitspecies,'(e18.1)',end=22) dquer(pos_spec)
-!  write(*,*) dquer(pos_spec)
+    write(*,*) 'dquer(pos_spec):', dquer(pos_spec)
     read(unitspecies,'(e18.1)',end=22) dsigma(pos_spec)
 !  write(*,*) dsigma(pos_spec)
@@ -292,5 +292,5 @@
   endif
 
-  if ((weta(pos_spec).gt.0).and.(henry(pos_spec).le.0)) then
+  if (((weta(pos_spec).gt.0).or.(wetb(pos_spec).gt.0)).and.(henry(pos_spec).le.0)) then
     if (dquer(pos_spec).le.0) goto 996 ! no particle, no henry set
   endif
Index: src/timemanager.f90
===================================================================
--- src/timemanager.f90	(revision 6a678e3fe206788e9704a724ec54e6d3dcc908e7)
+++ src/timemanager.f90	(revision ec7fc72438c14086c97319dbcbf75d1e0463ed5f)
@@ -145,5 +145,5 @@
 !CGZ-lifetime: set lifetime to 0
   
-
+  write(*,46) float(itime)/3600,itime,numpart
 
   if (verbosity.gt.0) then
@@ -431,6 +431,6 @@
 
         !write(*,46) float(itime)/3600,itime,numpart
-45      format(i9,' SECONDS SIMULATED: ',i8, ' PARTICLES:    Uncertainty: ',3f7.3)
-46      format(' Simulated ',f7.1,' hours (',i9,' s), ',i8, ' particles')
+45      format(i13,' SECONDS SIMULATED: ',i13, ' PARTICLES:    Uncertainty: ',3f7.3)
+46      format(' Simulated ',f7.1,' hours (',i13,' s), ',i13, ' particles')
         if (ipout.ge.1) call partoutput(itime)    ! dump particle positions
         loutnext=loutnext+loutstep
Index: src/timemanager_mpi.f90
===================================================================
--- src/timemanager_mpi.f90	(revision 7e52e2e7b38d79bc732a969274e160f06930ceaf)
+++ src/timemanager_mpi.f90	(revision ec7fc72438c14086c97319dbcbf75d1e0463ed5f)
@@ -491,9 +491,4 @@
           if (mp_measure_time) call mpif_mtime('iotime',1)
 
-! :TODO: Correct calling of conc_surf above?
-
-!   call concoutput_surf(itime,outnum,gridtotalunc,wetgridtotalunc,drygridtotalunc)
-! endif
-
           if (nested_output.eq.1) then
 
@@ -691,5 +686,4 @@
 
         if (mp_measure_time) call mpif_mtime('advance',0)
-!mp_advance_wtime_beg = mpi_wtime()
 
         call advance(itime,npoint(j),idt(j),uap(j),ucp(j),uzp(j), &
@@ -698,8 +692,4 @@
 
         if (mp_measure_time) call mpif_mtime('advance',1)
-
-        ! mp_advance_wtime_end = mpi_wtime()
-        ! mp_advance_wtime_total = mp_advance_wtime_total + (mp_advance_wtime_end - &
-        !      & mp_advance_wtime_beg)
 
 
Index: src/wetdepo.f90
===================================================================
--- src/wetdepo.f90	(revision 1c3c778753e98ff51a55ffe7f8586318c7768f64)
+++ src/wetdepo.f90	(revision ec7fc72438c14086c97319dbcbf75d1e0463ed5f)
@@ -258,5 +258,4 @@
       wetscav=0.   
 
-!ZHG test if it nested?
       if (ngrid.gt.0) then
         act_temp=ttn(ix,jy,hz,n,ngrid)
